Scilab Function

lcm - least common multiple

### Calling Sequence

  `[pp,fact]=lcm(p)`

### Parameters

- `p` :
- `fact` : polynomial vector
- `pp` : polynomial

### Description

`pp=lcm(p)` computes the lcm `pp` of polynomial vector `p`.

`[pp,fact]=lcm(p)` computes in addition the vector `fact` such that:

`p.*fact=pp*ones(p)`

### Examples

    s=poly(0,'s');
    p=[s,s*(s+1)^2,s^2*(s+2)];
    [pp,fact]=lcm(p);
    p.*fact, pp

### See Also

`gcd` `bezout`